PALLADIUM-CLI(1)

NAME
palladium-cli \- manual page for palladium-cli v1.5.0

SYNOPSIS
palladium-cli [options] <command> [params] Send command to Palladium Core
palladium-cli [options] -named <command> [name=value]... Send command to Palladium Core (with named arguments)
palladium-cli [options] help List commands
palladium-cli [options] help <command> Get help for a command

DESCRIPTION
Palladium Core RPC client version v1.5.0

OPTIONS

-?

    Print this help message and exit

-conf=<file>

    Specify configuration file. Relative paths will be prefixed by datadir location. (default: palladium.conf)

-datadir=<dir>

    Specify data directory

-getinfo

    Get general information from the remote server. Note that unlike server-side RPC calls, the results of -getinfo is the result of multiple non-atomic requests. Some entries in the result may represent results from different states (e.g. wallet balance may be as of a different block from the chain state reported)

-named

    Pass named instead of positional arguments (default: false)

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpccookiefile=<loc>

    Location of the auth cookie. Relative paths will be prefixed by a net-specific datadir location. (default: data dir)

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8332, testnet: 18332, regtest: 18443)

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcwait

    Wait for RPC server to start

-rpcwallet=<walletname>

    Send RPC for non-default wallet on RPC server (needs to exactly match corresponding -wallet option passed to palladiumd). This changes the RPC endpoint used, e.g. http://127.0.0.1:8332/wallet/<walletname>

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases). When combined with -stdinrpcpass, the first line from standard input is used for the RPC password.

-stdinrpcpass

    Read RPC password from standard input as a single line. When combined with -stdin, the first line from standard input is used for the RPC password. When combined with -stdinwalletpassphrase, -stdinrpcpass consumes the first line, and -stdinwalletpassphrase consumes the second.

-stdinwalletpassphrase

    Read wallet passphrase from standard input as a single line. When combined with -stdin, the first line from standard input is used for the wallet passphrase.

-version

    Print version and exit

Debugging/Testing options:

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, regtest

-testnet

    Use the test chain. Equivalent to -chain=test.

COPYRIGHT
Copyright (C) 2009-2020 The Bitcoin Core developers Copyright (C) 2024 The Palladium Core developers Please contribute if you find Palladium Core useful. Visit <https://palladium-coin.com/> for further information about the software. The source code is available from <https://github.com/palladium-coin/palladiumcore>.